# Residue Class Reference

A Residue object represents a residue within a Topology. More...

List of all members.

## Public Member Functions

def | __init__
| Construct a new Residue.
def | atoms
| Iterate over all Atoms in the Residue.

## Public Attributes

| name
| The name of the Residue.
| index
| The index of the Residue within its Topology.
| chain
| The Chain this Residue belongs to.

## Detailed Description

A Residue object represents a residue within a Topology.

## Member Function Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | index,
|  |  | chain |
| ) |  |  |

Construct a new Residue.

You should call addResidue() on the Topology instead of calling this directly.

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Residue.

## Member Data Documentation

chain

The Chain this Residue belongs to.

index

The index of the Residue within its Topology.

name

The name of the Residue.

The documentation for this class was generated from the following file:

- topology.py